<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "database_consistency_checks".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "DatabaseConsistencyChecks".
 *
 * Columns in table "database_consistency_checks" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $status
 * @property string $periodicity
 * @property string $priority
 * @property string $engine
 * @property string $name
 * @property string $description
 * @property string $query
 * @property string $phabricator_task_title
 * @property string $phabricator_task_description
 * @property string $correction
 * @property string $send_email_to
 * @property string $date_added
 * @property string $phabricator_task_id
 * @property string $date_last_error_detected
 *
 */
abstract class BaseDatabaseConsistencyChecks extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'database_consistency_checks';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'DatabaseConsistencyChecks|DatabaseConsistencyChecks', $n);
    }

    public static function representingColumn()
    {
        return 'status';
    }

    public function rules()
    {
        return array(
            array('status, engine, name, description, send_email_to', 'required'),
            array('status, periodicity', 'length', 'max' => 1),
            array('priority', 'length', 'max' => 6),
            array('engine', 'length', 'max' => 13),
            array('name, description', 'length', 'max' => 255),
            array('phabricator_task_title, phabricator_task_description', 'length', 'max' => 150),
            array('phabricator_task_id', 'length', 'max' => 10),
            array('query, correction, date_added, date_last_error_detected', 'safe'),
            array('periodicity, priority, query, phabricator_task_title, phabricator_task_description, correction, date_added, phabricator_task_id, date_last_error_detected', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, status, periodicity, priority, engine, name, description, query, phabricator_task_title, phabricator_task_description, correction, send_email_to, date_added, phabricator_task_id, date_last_error_detected', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'status' => Yii::t('app', 'Status'),
            'periodicity' => Yii::t('app', 'Periodicity'),
            'priority' => Yii::t('app', 'Priority'),
            'engine' => Yii::t('app', 'Engine'),
            'name' => Yii::t('app', 'Name'),
            'description' => Yii::t('app', 'Description'),
            'query' => Yii::t('app', 'Query'),
            'phabricator_task_title' => Yii::t('app', 'Phabricator Task Title'),
            'phabricator_task_description' => Yii::t('app', 'Phabricator Task Description'),
            'correction' => Yii::t('app', 'Correction'),
            'send_email_to' => Yii::t('app', 'Send Email To'),
            'date_added' => Yii::t('app', 'Date Added'),
            'phabricator_task_id' => Yii::t('app', 'Phabricator Task'),
            'date_last_error_detected' => Yii::t('app', 'Date Last Error Detected'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('status', $this->status, true);
        $criteria->compare('periodicity', $this->periodicity, true);
        $criteria->compare('priority', $this->priority, true);
        $criteria->compare('engine', $this->engine, true);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('description', $this->description, true);
        $criteria->compare('query', $this->query, true);
        $criteria->compare('phabricator_task_title', $this->phabricator_task_title, true);
        $criteria->compare('phabricator_task_description', $this->phabricator_task_description, true);
        $criteria->compare('correction', $this->correction, true);
        $criteria->compare('send_email_to', $this->send_email_to, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('phabricator_task_id', $this->phabricator_task_id, true);
        $criteria->compare('date_last_error_detected', $this->date_last_error_detected, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
